Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# DynamicAny::DynAny::InvalidValue Class Reference

`#include <DynamicAnyC.h>`

Inheritance diagram for DynamicAny::DynAny::InvalidValue:

[legend]
Collaboration diagram for DynamicAny::DynAny::InvalidValue:

[legend]
List of all members.

## Public Methods
| InvalidValue (void)
| InvalidValue (const InvalidValue &)
| ~InvalidValue (void)
InvalidValue & | operator= (const InvalidValue &)
virtual CORBA::Exception * | _tao_duplicate (void) const
virtual void | _raise (void) const
virtual void | _tao_encode (TAO_OutputCDR &ACE_ENV_ARG_DECL) const
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL)
## Static Public Methods
InvalidValue * | _downcast (CORBA::Exception *)
CORBA::Exception * | _alloc (void)

## Constructor & Destructor Documentation

DynamicAny::DynAny::InvalidValue::InvalidValue | ( | void |  | ) |

DynamicAny::DynAny::InvalidValue::InvalidValue | ( | const InvalidValue & |  | ) |

DynamicAny::DynAny::InvalidValue::~InvalidValue | ( | void |  | ) |

## Member Function Documentation

CORBA::Exception * DynamicAny::DynAny::InvalidValue::_alloc | ( | void |  | ) | `[static]`

DynamicAny::DynAny::InvalidValue * DynamicAny::DynAny::InvalidValue::_downcast | ( | CORBA::Exception * |  | ) | `[static]`

| Reimplemented from CORBA::UserException.

void DynamicAny::DynAny::InvalidValue::_raise | ( | void |  | ) | const`[virtual]`

| Implements CORBA::UserException.

void DynamicAny::DynAny::InvalidValue::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL | ) | `[virtual]`

CORBA::Exception * DynamicAny::DynAny::InvalidValue::_tao_duplicate | ( | void |  | ) | const`[virtual]`

| Implements CORBA::Exception.

void DynamicAny::DynAny::InvalidValue::_tao_encode | ( | TAO_OutputCDR & | ACE_ENV_ARG_DECL | ) | const`[virtual]`

InvalidValue& DynamicAny::DynAny::InvalidValue::operator= | ( | const InvalidValue & |  | ) |

The documentation for this class was generated from the following files:

- DynamicAnyC.h
- DynamicAnyC.cpp